#
# spec file for package python-tox
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-tox
Version:        1.5.0
Release:        0
Summary:        Virtualenv-based automation of test activities
License:        MIT
Group:          Development/Languages/Python
Url:            http://codespeak.net/tox
Source:         http://pypi.python.org/packages/source/t/tox/tox-%{version}.tar.gz
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-py >= 1.4.9
BuildRequires:  python-pytest
BuildRequires:  python-virtualenv
BuildRequires:  unzip
Requires:       python-py
Requires:       python-virtualenv
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Requires:       python-argparse
%else
BuildArch:      noarch
%endif

%description
Tox as is a generic virtualenv management and test command line tool you can
use for:

* checking your package installs correctly with different
  Python versions and interpreters

* running your tests in each of the
  environments, configuring your test tool of choice

* acting as a frontend to Continuous Integration
  servers, greatly reducing boilerplate and merging
  CI and shell-based testing.

%prep
%setup -q -n tox-%{version}

%build
python setup.py build
cd doc && make html && rm -r _build/html/.buildinfo # Generate HTML documentation

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# %%check
# python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst doc/_build/html
%{_bindir}/*
%{python_sitelib}/*

%changelog
